Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dms.table
Class NameSupport

`java.lang.Object
oracle.dms.table.NameSupport`

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, Name, java.io.Serializable

Direct Known Subclasses:
  NamedValueSupport, RowComparator

public class NameSupport
extends java.lang.Object
implements Name

`NameSupport` contains the name.

Since:
  Oracle Application Server 10g (10.1.3)
See Also:
  Serialized Form

Constructor Summary
`protected` | `NameSupport(java.lang.String name)` Constructor.

Method Summary
`int` | `compareTo(java.lang.Object obj)` Compares to the given `Name` for order.
`java.lang.String` | `getName()` Gets the name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameSupport

    protected NameSupport(java.lang.String name)

  Constructor.
Parameters:
  `name` - the name.
Since:
  Oracle Application Server 10g (10.1.3)

Method Detail

### getName

    public final java.lang.String getName()

  Gets the name.
  Specified by:
    `getName` in interface `Name`
  Returns:
    the name.

### compareTo

    public int compareTo(java.lang.Object obj)

  Compares to the given `Name` for order.
  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `obj` - the `Name` to be compared.
  Returns:
    a negative integer, zero, or a positive integer as this object's name is less than, equal to, or greater than the name of the given `Name`.
  Throws:
    `java.lang.ClassCastException` - if the given object's type prevents it from being compared to this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All Rights Reserved.